Notice: get_currentuserinfo の使用はバージョン 4.5.0 から非推奨になっています ! 代わりに wp_get_current_user() を使ってください。 in /var/www/html/blog/wp-includes/functions.php on line 3831 Call Stack: 0.0000 228168 1. {main}() /var/www/html/blog/index.php:0 0.0001 228608 2. require('/var/www/html/blog/wp-blog-header.php') /var/www/html/blog/index.php:17 0.1089 5921360 3. require_once('/var/www/html/blog/wp-includes/template-loader.php') /var/www/html/blog/wp-blog-header.php:19 0.1100 5929432 4. include('/var/www/html/blog/wp-content/themes/zbench/single.php') /var/www/html/blog/wp-includes/template-loader.php:74 0.1100 5929464 5. get_header() /var/www/html/blog/wp-content/themes/zbench/single.php:1 0.1100 5930048 6. locate_template() /var/www/html/blog/wp-includes/general-template.php:45 0.1100 5930288 7. load_template() /var/www/html/blog/wp-includes/template.php:647 0.1101 5944144 8. require_once('/var/www/html/blog/wp-content/themes/zbench/header.php') /var/www/html/blog/wp-includes/template.php:688 0.1114 5960352 9. wp_head() /var/www/html/blog/wp-content/themes/zbench/header.php:8 0.1114 5960400 10. do_action() /var/www/html/blog/wp-includes/general-template.php:2589 0.1114 5961072 11. WP_Hook->do_action() /var/www/html/blog/wp-includes/plugin.php:453 0.1114 5961168 12. WP_Hook->apply_filters() /var/www/html/blog/wp-includes/class-wp-hook.php:323 0.1246 6175280 13. call_user_func_array:{/var/www/html/blog/wp-includes/class-wp-hook.php:298}() /var/www/html/blog/wp-includes/class-wp-hook.php:298 0.1246 6175888 14. add_google_analytics() /var/www/html/blog/wp-includes/class-wp-hook.php:298 0.1248 6176672 15. ga_current_user_is() /var/www/html/blog/wp-content/plugins/google-analyticator/google-analyticator.php:1116 0.1249 6176704 16. get_currentuserinfo() /var/www/html/blog/wp-content/plugins/google-analyticator/google-analyticator.php:1289 0.1249 6176928 17. _deprecated_function() /var/www/html/blog/wp-includes/pluggable-deprecated.php:49 0.1249 6177416 18. trigger_error() /var/www/html/blog/wp-includes/functions.php:3831

XML::AtomとImage::Magickが入らねえ

 もうブログには手を出すまいとしてきた2年の間に、MovableTypeは3系から4系にバージョンアップしていた。
 今回4系のMovableTypeを導入したのだが、どうにもXML::AtomとImage::MagickのPerlモジュールが入らない(現在のサーバ環境は3系を動かしていたときとは異なる、そして確か3系の時は必須モジュールしか入れてなかった)。

 Google様に同じような問題に直面した方々を紹介してもらい、解決にたどり着いた。
一応記録しておく。

 Image::Magickは単純にImageMagick-perlをインストールしたら解決した。

# yum install ImageMagick-perl

これでMovableTypeはImage::Magickを認識してくれた(ちなみに、「Image::Magickモジュールが入らねえ」と騒いでいた当初、ImageMagick本体自体がインストールされていないことに気づくまで割と時間を要した事は内緒だ)。

 XML::Atomは、

# yum install perl-XML-Parser
# yum install perl-XML-Dumper

これでOKだ(少なくともウチの環境では)。

Related Posts

Comments are closed.